
Core - Bug # 52972

Status: Closed Priority: Must have
Author: LUBRANO J.F. Category:
Created: 2013-10-19 Assigned To:
Updated: 2014-03-11 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: hard
Is Regression: No
Sprint Focus:
Subject: InvalidArgumentException in several cases
Description

Under TYPO3 6.2beta 1 loading a new language in the backend raise an error (see included screen hardcopy):

InvalidArgumentException thrown in file
/mnt/hgfs/Temp/TYPO3/typo3/sysext/core/Classes/Resource/File.php in line 221.

This worked fine under TYPO3 6.2.0 alpha 3.

My webserver runs PHP 5.3.10 in FastCGI mode.

Related issues:
related to Core - Bug # 52841: New FAL Indexer Resolved 2013-11-13
duplicated by Core - Bug # 53131: Uncaught TYPO3 Exception uid property is al... Closed 2013-10-25

History
#1 - 2013-10-21 11:30 - Torben Hansen

I had a similar problem on a site which I migrated from 4.5 to 6.2beta1. In my case the problem was an incompatible extension (ics_awstats), which
caused some PHP errors. After removing the incompatible extension, the language manager worked fine again.

#2 - 2013-10-21 16:43 - Pascal Hinz

Had the same problem with TYPO3 6.2beta1 but i had to deinstall the TYPO3 System Extension "About Modules (aboutmodules)".

#3 - 2013-10-21 17:36 - Pascal Hinz
- File language-error.png added
- File language-full-error.png added

Screenshots

#4 - 2013-10-29 12:24 - Jan Greth

Pascal Hinz wrote:
Had the same problem with TYPO3 6.2beta1 but i had to deinstall the TYPO3 System Extension "About Modules (aboutmodules)".

I have the same behaviour in a untouched new Installation. Uninstalling "About Modules" makes the language module functional again.

#5 - 2013-10-31 23:40 - Stefan Aebischer

I can confirm this. For me the error ocured on a fresh Install with sources from master at commit abc08c57858c47cf43ee68745f4642404daf7ba0. 
But it only occured on the very first time i hit the Language module, afterwards it worked as expected.

Did not need to deinstall about modules.

#6 - 2013-11-02 15:31 - Markus Klein
- Status changed from New to Accepted
- Target version changed from 6.2.0 to next-patchlevel
- Is Regression changed from Yes to No

#7 - 2013-11-02 16:42 - Steffen Müller

confirmed with master commit:8e1d6bd0e0c70ba0c827d17945d07327472dde75

I get the exception when clicking the about module. But with each click, a different file identifier appears in the stack trace.

After I continued to click several times, the about modules finally loaded.

#8 - 2013-11-02 20:41 - Frans Saris

I expect it is the same issue as http://forge.typo3.org/issues/53131

Have you run the File Indexer schedular task?

#9 - 2013-11-06 18:06 - Markus Klein

Running the scheduler task does not help/solve on current master fb404d65eac4baf1d3195ad0fa4d7eda59c641f5

    -  About module does not work
    -  Language module works
    -  Filelist works

#10 - 2013-11-06 18:08 - Markus Klein
- Subject changed from Loading Language in Backend to InvalidArgumentException in several cases
- Category deleted (Backend User Interface)
- Complexity set to hard

#11 - 2013-11-06 21:30 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25188

#12 - 2013-11-06 21:38 - Frans Saris

This are 2 different issues.

    1. the indexerService doesn't update the current object (see my patch)
    2. files from storage 0 are indexed again and currently that is needed to get the metadata (width+height) to work....

#13 - 2013-11-06 22:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25188

#14 - 2013-11-08 09:30 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25188

#15 - 2013-11-12 23:10 - Jan Bartels

I've just installed the latest 6.2 trunk-version, which should include these patches.

If I run "Migrate all RTE magic images from uploads/RTEmagicC_* to fileadmin/_migrated/RTE/" in the Install-Tool, an uncaught exception is thrown
(see duplicate #53131):

Uncaught TYPO3 Exception #1321023156: uid property is already set. Cannot merge index record. (More information)

InvalidArgumentException thrown in file
/.../typo3_62/TYPO3.CMS-master/typo3/sysext/core/Classes/Resource/File.php in line 225.

It seems that this issue is still unsolved.

#16 - 2013-11-13 01:54 - Markus Klein
- Status changed from Under Review to Accepted

No there's no patch yet in current master.

#17 - 2013-11-13 01:54 - Markus Klein

This will be solved with: https://review.typo3.org/24747

#18 - 2013-11-18 10:06 - Bernhard Kraft
The mentioned review (https://review.typo3.org/24747) does not solve the problem with the language module or about modules. At least for me. Sorry.

#19 - 2013-11-18 10:23 - Markus Klein

Bernhard, this patch was split into multiple patches and all of these are merged for the time being.
Can you please just retest current master. (Don't forget to clear all caches and also the typo3temp/Cache/*)

#20 - 2013-11-20 02:27 - Markus Klein
- Status changed from Accepted to Needs Feedback

Please test if this is still a problem on current master.

#21 - 2014-03-11 12:09 - Alexander Opitz
- Status changed from Needs Feedback to Closed
- Target version deleted (next-patchlevel)

No feedback within the last 90 days => closing this ticket.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
